# Uses of Class
org.apache.zookeeper.server.util.JvmPauseMonitor

Packages that use JvmPauseMonitor
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of JvmPauseMonitor in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as JvmPauseMonitor
Modifier and Type
Field
Description
`protected JvmPauseMonitor`
ZooKeeperServer.`jvmPauseMonitor`
Constructors in org.apache.zookeeper.server with parameters of type JvmPauseMonitor
Modifier
Constructor
Description
``
`ZooKeeperServer(JvmPauseMonitor jvmPauseMonitor, FileTxnSnapLog txnLogFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int clientPortListenBacklog, ZKDatabase zkDb, String initialConfig)`
Adds JvmPauseMonitor and calls `ZooKeeperServer(FileTxnSnapLog, int, int, int, int, ZKDatabase, String)`

## Uses of JvmPauseMonitor in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum with parameters of type JvmPauseMonitor
Modifier and Type
Method
Description
`void`
QuorumPeer.`setJvmPauseMonitor(JvmPauseMonitor jvmPauseMonitor)`